/**
 * CMI : Cluster Method Invocation
 * Copyright (C) 2008-2009 Bull S.A.S.
 * Contact: cmi@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA
 * --------------------------------------------------------------------------
 * $Id: Config.java 2438 2010-02-24 16:20:30Z benoitf $
 * --------------------------------------------------------------------------
 */

package org.ow2.cmi.controller.server.impl.jms;


/**
 * Configuration of the JMS implementation.
 * @author Loris Bouzonnet
 */
public final class Config extends org.ow2.cmi.controller.server.ServerConfig {

    private String localTopicName;

    private String localTopicJNDIName;

    private String extTopicJNDIName;

    private String extProviderURL;

    private boolean clustered;

    private boolean hierarchical;

    private boolean publisher = true;

    private boolean subscriber = true;

    private String jmsProviderName = "jms_provider";

    private String connectionFactoryName = "JTCF";

    private boolean clusterViewShared = true;

    private String objectNameToListen;

    private long periodToBeat = 60000;

    private long periodToCleanUp = 120000;

    private int waitingBeatNumber = 4;

    private String domainName;

    private Short domainPort;

    private boolean jmsServerEmbedded;

    private Short serverId;


    public String getLocalTopicName() {
        return localTopicName;
    }

    public void setLocalTopicName(final String localTopicName) {
        this.localTopicName = localTopicName;
    }

    public String getLocalTopicJNDIName() {
        return localTopicJNDIName;
    }

    public void setLocalTopicJNDIName(final String localTopicJNDIName) {
        this.localTopicJNDIName = localTopicJNDIName;
    }

    public String getExtTopicJNDIName() {
        return extTopicJNDIName;
    }

    public void setExtTopicJNDIName(final String extTopicJNDIName) {
        this.extTopicJNDIName = extTopicJNDIName;
    }

    public String getExtProviderURL() {
        return extProviderURL;
    }

    public void setExtProviderURL(final String extProviderURL) {
        this.extProviderURL = extProviderURL;
    }

    public boolean isClustered() {
        return clustered;
    }

    public void setClustered(final boolean clustered) {
        this.clustered = clustered;
    }

    public boolean isHierarchical() {
        return hierarchical;
    }

    public void setHierarchical(final boolean hierarchical) {
        this.hierarchical = hierarchical;
    }

    public boolean isPublisher() {
        return publisher;
    }

    public void setPublisher(final boolean publisher) {
        this.publisher = publisher;
    }

    public boolean isSubscriber() {
        return subscriber;
    }

    public void setSubscriber(final boolean subscriber) {
        this.subscriber = subscriber;
    }

    public String getJmsProviderName() {
        return jmsProviderName;
    }

    public void setJmsProviderName(final String jmsProviderName) {
        this.jmsProviderName = jmsProviderName;
    }

    public String getConnectionFactoryName() {
        return connectionFactoryName;
    }

    public void setConnectionFactoryName(final String connectionFactoryName) {
        this.connectionFactoryName = connectionFactoryName;
    }

    public boolean isClusterViewShared() {
        return clusterViewShared;
    }

    public void setClusterViewShared(final boolean clusterViewShared) {
        this.clusterViewShared = clusterViewShared;
    }

    public String getObjectNameToListen() {
        return objectNameToListen;
    }

    public void setObjectNameToListen(final String objectNameToListen) {
        this.objectNameToListen = objectNameToListen;
    }

    public long getPeriodToBeat() {
        return periodToBeat;
    }

    public void setPeriodToBeat(final long periodToBeat) {
        this.periodToBeat = periodToBeat;
    }

    public void setPeriodToCleanUp(final long periodToCleanUp) {
        this.periodToCleanUp = periodToCleanUp;
    }

    public void setWaitingBeatNumber(final int waitingBeatNumber) {
        this.waitingBeatNumber = waitingBeatNumber;
    }

    public long getPeriodToCleanUp() {
        return periodToCleanUp;
    }

    public int getWaitingBeatNumber() {
        return waitingBeatNumber;
    }

    public String getDomainName() {
        return domainName;
    }

    public void setDomainName(final String domainName) {
        this.domainName = domainName;
    }

    public Short getDomainPort() {
        return domainPort;
    }

    public void setDomainPort(final Short domainPort) {
        this.domainPort = domainPort;
    }

    public boolean isJmsServerEmbedded() {
        return jmsServerEmbedded;
    }

    public void setJmsServerEmbedded(final boolean jmsServerEmbedded) {
        this.jmsServerEmbedded = jmsServerEmbedded;
    }

    public Short getServerId() {
        return serverId;
    }

    public void setServerId(final Short serverId) {
        this.serverId = serverId;
    }

}
